OGRE: Ogre::MaterialScriptCompiler::MaterialScriptProgramDefinition Struct Reference - OGRE Documentation

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::MaterialScriptCompiler::MaterialScriptProgramDefinition Struct Reference

Struct for holding a program definition which is in progress. More...

`#include <OgreMaterialScriptCompiler.h>`

List of all members.

## Public Attributes

String | name
GpuProgramType | progType
String | language
String | source
String | syntax
bool | supportsSkeletalAnimation
bool | supportsMorphAnimation
ushort | supportsPoseAnimation
bool | usesVertexTextureFetch
std::vector< std::pair< String, String > > | customParameters

## Detailed Description

Struct for holding a program definition which is in progress.

Definition at line 152 of file OgreMaterialScriptCompiler.h.

## Member Data Documentation

std::vector<std::pair<String, String> > Ogre::MaterialScriptCompiler::MaterialScriptProgramDefinition::customParameters

| Definition at line 163 of file OgreMaterialScriptCompiler.h.

String Ogre::MaterialScriptCompiler::MaterialScriptProgramDefinition::language

| Definition at line 156 of file OgreMaterialScriptCompiler.h.

String Ogre::MaterialScriptCompiler::MaterialScriptProgramDefinition::name

| Definition at line 154 of file OgreMaterialScriptCompiler.h.

GpuProgramType Ogre::MaterialScriptCompiler::MaterialScriptProgramDefinition::progType

| Definition at line 155 of file OgreMaterialScriptCompiler.h.

String Ogre::MaterialScriptCompiler::MaterialScriptProgramDefinition::source

| Definition at line 157 of file OgreMaterialScriptCompiler.h.

bool Ogre::MaterialScriptCompiler::MaterialScriptProgramDefinition::supportsMorphAnimation

| Definition at line 160 of file OgreMaterialScriptCompiler.h.

ushort Ogre::MaterialScriptCompiler::MaterialScriptProgramDefinition::supportsPoseAnimation

| Definition at line 161 of file OgreMaterialScriptCompiler.h.

bool Ogre::MaterialScriptCompiler::MaterialScriptProgramDefinition::supportsSkeletalAnimation

| Definition at line 159 of file OgreMaterialScriptCompiler.h.

String Ogre::MaterialScriptCompiler::MaterialScriptProgramDefinition::syntax

| Definition at line 158 of file OgreMaterialScriptCompiler.h.

bool Ogre::MaterialScriptCompiler::MaterialScriptProgramDefinition::usesVertexTextureFetch

| Definition at line 162 of file OgreMaterialScriptCompiler.h.

The documentation for this struct was generated from the following file:

- OgreMaterialScriptCompiler.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:47:09 2008